# Example of sending a query parameter in the URL
curl 'https://api.portkey.ai/v1/models?provider=openai' \
-H "x-portkey-api-key: $PORTKEY_API_KEY"{
"object": "list",
"total": 500,
"data": [
{
"id": "@ai-provider-slug/gpt-5",
"slug": "gpt-5",
"canonical_slug": "gpt-5",
"object": "model"
}
]
}Models
Lists the currently available models that can be used through Portkey, and provides basic information about each one.
GET
/
models
# Example of sending a query parameter in the URL
curl 'https://api.portkey.ai/v1/models?provider=openai' \
-H "x-portkey-api-key: $PORTKEY_API_KEY"{
"object": "list",
"total": 500,
"data": [
{
"id": "@ai-provider-slug/gpt-5",
"slug": "gpt-5",
"canonical_slug": "gpt-5",
"object": "model"
}
]
}Authorizations
Query Parameters
Filter models by the AI service (e.g., 'openai', 'anthropic').
Filter models by the provider.
The maximum number of models to return.
The number of models to skip before starting to collect the result set.
The field to sort the results by.
Available options:
name, provider, ai_service The order to sort the results in.
Available options:
asc, desc Last modified on January 28, 2026
Was this page helpful?
โI

